Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface ITableColorProvider

    public interface ITableColorProvider

Interface to provide color representation for a given cell within the row for an element in a table.

Since:
  3.1

Method Summary
`Color` `getBackground(Object element, int columnIndex)` Provides a background color for the given element at the specified index
`Color` `getForeground(Object element, int columnIndex)` Provides a foreground color for the given element.

Method Detail

### getForeground

    Color getForeground(Object element,
                        int columnIndex)

  Provides a foreground color for the given element.

  Parameters:
    `element` - the element
    `columnIndex` - the zero-based index of the column in which the color appears
  Returns:
    the foreground color for the element, or `null` to use the default foreground color

### getBackground

    Color getBackground(Object element,
                        int columnIndex)

  Provides a background color for the given element at the specified index

  Parameters:
    `element` - the element
    `columnIndex` - the zero-based index of the column in which the color appears
  Returns:
    the background color for the element, or `null` to use the default background color

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.